%define upstream_name Dist-Zilla-Plugin-Prereqs-MatchInstalled-All
%define upstream_version 1.001001

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Upgrade ALL your dependencies to the ones you have installed
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Dist::Zilla::Plugin::Prereqs::MatchInstalled)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Moose)
BuildRequires:	perl(Path::FindDev)
BuildRequires:	perl(Test::Fatal)

BuildArch:	noarch

%description
This is a special case of "Dist::Zilla::Plugin::Prereqs::MatchInstalled"
that automatically upgrades all versions of all dependencies, unless
asked not to.

PITFALLS
Presently, there is one very large gotcha about using this module, in
that it will upgrade everything, even things that don't make sense to
upgrade.

For instance:

Local Versions
If you have a single dependency on your system you might use, which is
locally patched, and locally patched in such a way the local version is
more recent than any on "CPAN", you should either

a. Not use this module
b. Put that module in the exclusion list

Non-Dual Life modules
This plugin is not very smart, and can't differentiate between modules
that do exist on "CPAN" independent of Perl, and modules that don't.

For instance, if you use "Autoprereqs", its very likely your
distribution will add a dependency on either "strict" or "warnings"

This module will ask your user to upgrade those versions to their latest
versions, which will likely require them to upgrade their Perl
installation to do so.

Which basically means for the mean time, either

a. You must be o.k. with end users needing more recent Perls
b. You should avoid upgrading those dependencies by either

    a. Not using this plugin
    b. Adding problematic modules to the exclusion list

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.1.1-3.mga8
+ Revision: 1504118
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.1-2.mga7
+ Revision: 1283197
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 1.1.1-1.mga7
+ Revision: 1125973
- update to 1.001001

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-3.mga6
+ Revision: 1026553
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.1.0-2.mga6
+ Revision: 966488
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 1.1.0-1.mga6
+ Revision: 845785
- update to 1.001000

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 747347
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 619564
- update to 1.000000

* Mon Oct 21 2013 umeabot <umeabot> 0.1.2-2.mga4
+ Revision: 537124
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.1.2-1.mga4
+ Revision: 486356
- update to 0.1.2

* Sun Sep 08 2013 sander85 <sander85> 0.1.1-1.mga4
+ Revision: 475892
- update to 0.1.1

* Fri Aug 09 2013 sander85 <sander85> 0.1.0-1.mga4
+ Revision: 464919
- imported package perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All

